Konuyu Oyla:
  • Derecelendirme: 5/5 - 1 oy
  • 1
  • 2
  • 3
  • 4
  • 5
Fbclient for ARM
#11
(14-04-2018, Saat: 20:53)mcuyan Adlı Kullanıcıdan Alıntı: MErhaba Arkadaşlar.
Önceleri Lazarusda yazdığım, FB 2.1 de win ce uygulamam da kullandığım fbclient.dll (for arm) dosyam son zamanlarda FB 2.5.x sürümüne geçtikten sonra ilginç hatalar çıkarmakta. Öyle sanıyorum ki Wince cihazımda bulunan fbclient.dll dosyamın (2.5.x) sürüm uyumsuzluğundan kaynaklandığını düşünüyorum.

Acaba fbclient.dll for arm nin FB 2.5.x uyumlu olanı elinde olan varmıdır Smile

verdiği hata :

ibc1 : Execute :
-arithmetic exception, numeric overflow, or string truncation
-failed in store_blr_gen_id.

sorun Sunucda 64bit FBServer kurulu olmasından kaynaklanıyormuş.
Firebird-2.5.7.27050_0_Win32 versiyonunu kurduktan sonra, bende fbclient.dll for arm de çalışmaya başladı. isteyen olursa paylaşabilirim.

@mcuyan hocam, el terminali için çok küçük barkod okuyan ve ürünleri bulan bir uygulama yazmak istiyorum ve anladığım kadarıyla lazarus kullanmak zorundayım ama merak ettim firebird, winCE üzerinde çalışıyor mu? Eğer çalışıyorsa hangi versiyonu? bilgi verirseniz sevinirim.
Dosyalarınızı kendi bulutunuza yedekleyin. Yandex Disk

Eyvallah..
Cevapla
#12
hocam DB yi lokal de mi tutucasınız yoksa DB'Ye nativ bağlanıp mı aktaracaksınız?
// Bilgi paylaştıkça çoğalır.. 

Cevapla
#13
@mcuyan db yi el terminalinde tutmayı düşünüyorum.
Dosyalarınızı kendi bulutunuza yedekleyin. Yandex Disk

Eyvallah..
Cevapla
#14
O zaman FB'nin Embedded versiyonunu kullanmanız gerekiyor.
Anahtar kelimeniz Win CE (VErsiyon önemli) ARM Embedded Firebird
// Bilgi paylaştıkça çoğalır.. 

Cevapla




Konuyu Okuyanlar: 1 Ziyaretçi